public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: Eric Sandeen <sandeen@redhat.com>
Cc: xfs <linux-xfs@vger.kernel.org>,
	fstests <fstests@vger.kernel.org>, Eryu Guan <guaneryu@gmail.com>
Subject: [PATCH] xfs: test mkfs extent size hint validation
Date: Fri, 15 Feb 2019 16:41:19 -0800	[thread overview]
Message-ID: <20190216004119.GW32253@magnolia> (raw)
In-Reply-To: <20190216003923.GV32253@magnolia>

From: Darrick J. Wong <darrick.wong@oracle.com>

Make sure mkfs won't format filesystems that fail extent size hint
validation.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/738     |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/738.out |    2 ++
 tests/xfs/group   |    1 +
 3 files changed, 51 insertions(+)
 create mode 100755 tests/xfs/738
 create mode 100644 tests/xfs/738.out

diff --git a/tests/xfs/738 b/tests/xfs/738
new file mode 100755
index 00000000..ee0ffaae
--- /dev/null
+++ b/tests/xfs/738
@@ -0,0 +1,48 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0+
+# Copyright (c) 2019 Oracle, Inc.  All Rights Reserved.
+#
+# FS QA Test No. 738
+#
+# Make sure we can't format a filesystem with insane extent hints.
+#
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+tmp=/tmp/$$
+status=1	# failure is the default!
+testfile=$TEST_DIR/$seq.txt
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+_require_scratch_nocheck
+
+rm -f $seqres.full
+
+# Try regular extent size hint
+echo extszinherit >> $seqres.full
+_scratch_mkfs -d extszinherit=8388608 >> $seqres.full 2>&1
+test $? -eq 1 || echo "should have failed extszinherit"
+
+# Try cow extent size hint if supported
+$MKFS_XFS_PROG -N -f $SCRATCH_DEV > $tmp.mkfs
+if grep -q 'reflink=' $tmp.mkfs ; then
+	echo cowextsize >> $seqres.full
+	_scratch_mkfs -m reflink=1 -d cowextsize=8388608 >> $seqres.full 2>&1
+	test $? -eq 1 || echo "should have failed cowextsize"
+fi
+
+echo silence is golden
+status=0
+exit
diff --git a/tests/xfs/738.out b/tests/xfs/738.out
new file mode 100644
index 00000000..703fe23b
--- /dev/null
+++ b/tests/xfs/738.out
@@ -0,0 +1,2 @@
+QA output created by 738
+silence is golden
diff --git a/tests/xfs/group b/tests/xfs/group
index 677396fb..b2fea9ef 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -515,6 +515,7 @@
 731 dangerous_scrub dangerous_online_repair
 736 auto quick unlink
 737 auto quick unlink
+738 auto quick
 1500 auto prealloc rw
 1501 auto prealloc rw
 1502 auto prealloc rw

  reply	other threads:[~2019-02-16  0:41 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-16  0:39 [PATCH] mkfs: validate extent size hint parameters Darrick J. Wong
2019-02-16  0:41 ` Darrick J. Wong [this message]
2019-02-17 22:07   ` [PATCH] xfs: test mkfs extent size hint validation Dave Chinner
2019-02-18 18:03     ` Darrick J. Wong
2019-02-18 21:17       ` Dave Chinner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190216004119.GW32253@magnolia \
    --to=darrick.wong@oracle.com \
    --cc=fstests@vger.kernel.org \
    --cc=guaneryu@gmail.com \
    --cc=linux-xfs@vger.kernel.org \
    --cc=sandeen@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox